
package com.tmerclub.cloud.common.product.constant;

/**
 * 盘点状态
 *
 * @author Citrus
 */
public enum TakeStockBillStatus {

    /**
     * 已作废
     */
    VOIDED(0, "已作废", "VOIDED"),

    /**
     * 盘点中
     */
    TAKING(1, "盘点中", "TAKING"),

    /**
     * 已完成
     */
    COMPLETED(2, "已完成", "COMPLETED"),
    ;

    private final Integer num;
    private final String strCn;
    private final String strEn;

    public Integer value() {
        return num;
    }

    public String strCn() {
        return strCn;
    }

    public String strEn() {
        return strEn;
    }

    TakeStockBillStatus(Integer num, String strCn, String strEn) {
        this.num = num;
        this.strCn = strCn;
        this.strEn = strEn;
    }

    public static TakeStockBillStatus instance(Integer value) {
        TakeStockBillStatus[] enums = values();
        for (TakeStockBillStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
